Bug 604971 - Review Request: jwm - Joe's Window Manager
Review Request: jwm - Joe's Window Manager
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-17 03:25 EDT by Germán Racca
Modified: 2012-03-12 07:18 EDT (History)
5 users (show)

See Also:
Fixed In Version: jwm-2.0.1-10.svn500.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-02 13:34:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Germán Racca 2010-06-17 03:25:14 EDT
Spec URL: http://sites.google.com/site/gracca/jwm.spec

SRPM URL: http://sites.google.com/site/gracca/jwm-2.0.1-2.20100616svn.fc13.src.rpm

Description:
JWM is a window manager for the X11 Window System. JWM is written in C and uses
only Xlib at a minimum. The following libraries can also be used if available:

    * libXext for the shape extension
    * libXext for the render extension
    * libXmu for drawing rounded windows (shape extension also needed)
    * libXinerama for Xinerama support
    * libXpm for XPM backgrounds and icons
    * libjpeg for JPEG backgrounds and icons
    * libpng for PNG backgrounds and icons
    * libxft for antialiased and true type fonts
    * libfribidi for right-to-left language support

It can support some MWM, GNOME, and WM Spec hints.
Comment 1 Germán Racca 2010-06-28 18:18:12 EDT
Files moved to fedorapeople.org:

Spec URL: http://skytux.fedorapeople.org/packages/jwm.spec

SRPM URL: http://skytux.fedorapeople.org/packages/jwm-2.0.1-2.20100616svn.fc13.src.rpm

Nobody interested in this package?
Comment 2 Germán Racca 2010-06-29 01:09:29 EDT
$ rpmlint SRPMS/jwm-2.0.1-2.20100616svn.fc13.src.rpm 
jwm.src: W: spelling-error Summary(en_US) Joe's -> Jo's, Jose's, Joey's
jwm.src: W: spelling-error %description -l en_US libXext -> liberty, Liberty, libretto
jwm.src: W: spelling-error %description -l en_US libXmu -> Librium, Libau, libelous
jwm.src: W: spelling-error %description -l en_US libXinerama -> Cinerama, liberalness, liberalism
jwm.src: W: spelling-error %description -l en_US libXpm -> Librium, Libyan, libido
jwm.src: W: spelling-error %description -l en_US libjpeg -> Liberec, libelee, libeler
jwm.src: W: spelling-error %description -l en_US libpng -> Libyan, libation, libelant
jwm.src: W: spelling-error %description -l en_US libxft -> librate, liberty, Liberty
jwm.src: W: spelling-error %description -l en_US antialiased -> anti aliased, anti-aliased, antiallergic
jwm.src: W: spelling-error %description -l en_US libfribidi -> libidinous, libidinal, liberticide
1 packages and 0 specfiles checked; 0 errors, 10 warnings.

$ rpmlint RPMS/i686/jwm-2.0.1-2.20100616svn.fc13.i686.rpm 
jwm.i686: W: spelling-error Summary(en_US) Joe's -> Jo's, Jose's, Joey's
jwm.i686: W: spelling-error %description -l en_US libXext -> liberty, Liberty, libretto
jwm.i686: W: spelling-error %description -l en_US libXmu -> Librium, Libau, libelous
jwm.i686: W: spelling-error %description -l en_US libXinerama -> Cinerama, liberalness, liberalism
jwm.i686: W: spelling-error %description -l en_US libXpm -> Librium, Libyan, libido
jwm.i686: W: spelling-error %description -l en_US libjpeg -> Liberec, libelee, libeler
jwm.i686: W: spelling-error %description -l en_US libpng -> Libyan, libation, libelant
jwm.i686: W: spelling-error %description -l en_US libxft -> librate, liberty, Liberty
jwm.i686: W: spelling-error %description -l en_US antialiased -> anti aliased, anti-aliased, antiallergic
jwm.i686: W: spelling-error %description -l en_US libfribidi -> libidinous, libidinal, liberticide
jwm.i686: W: unstripped-binary-or-object /usr/bin/jwm
1 packages and 0 specfiles checked; 0 errors, 11 warnings.

$ koji build --scratch dist-f13 SRPMS/jwm-2.0.1-2.20100616svn.fc13.src.rpm
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2279589
Comment 3 Felipe Contreras 2010-08-10 06:46:49 EDT
Looks like it's missing $RPM_OPT_FLAGS.

Also, since it's supposed to work on GNOME, shouldn't it have a jwm-gnome.desktop?
Comment 4 Felipe Contreras 2010-08-10 07:10:34 EDT
(In reply to comment #3)
> Looks like it's missing $RPM_OPT_FLAGS.

Er, %configure deals with that, sorry.
Comment 5 Germán Racca 2010-08-20 17:27:31 EDT
(In reply to comment #3)
> Looks like it's missing $RPM_OPT_FLAGS.
> 
> Also, since it's supposed to work on GNOME, shouldn't it have a
> jwm-gnome.desktop?

Hi Felipe:

How to implement jwm-gnome.desktop? Maybe asking upstream?
Comment 6 Felipe Contreras 2010-08-23 06:20:00 EDT
(In reply to comment #5)
> (In reply to comment #3)
> > Looks like it's missing $RPM_OPT_FLAGS.
> > 
> > Also, since it's supposed to work on GNOME, shouldn't it have a
> > jwm-gnome.desktop?
> 
> How to implement jwm-gnome.desktop? Maybe asking upstream?

See openbox, and ask the jwm community.
Comment 7 Jason Tibbitts 2011-01-08 19:11:48 EST
Any progress implementing the .desktop file?

Should this be updated to the current snapshot revision (seems to be 500)?
Comment 8 Germán Racca 2011-01-09 03:01:12 EST
(In reply to comment #7)
> Any progress implementing the .desktop file?
> 
> Should this be updated to the current snapshot revision (seems to be 500)?

Updated JWM to latest snapshot:

SPEC: http://skytux.fedorapeople.org/packages/jwm.spec
SRPM: http://skytux.fedorapeople.org/packages/jwm-2.0.1-3.20110108svn.fc14.src.rpm

About the desktop file suggested in comment #3, I will contact upstream soon.

Cheers,
German.
Comment 9 Mario Blättermann 2011-04-25 15:54:59 EDT
(In reply to comment #3)
> Looks like it's missing $RPM_OPT_FLAGS.
> 
> Also, since it's supposed to work on GNOME, shouldn't it have a
> jwm-gnome.desktop?

There are a lot of EWMH compatible window managers which work under GNOME, Xfce, LXDE... But most of them don't have such a special *.desktop file. I'm using Fluxbox under GNOME for a long time, and I don't need it. The mentioned construct which lets appear a "GNOME/Openbox" entry in GDM, is an exception here, and it is provided by the Openbox source package itself. With the upcoming GNOME 3 in F15 we get rid of the window manager choice anyway, if we follow the GNOME Shell. The "missing" *.desktop file shouldn't be a blocker here.
Comment 10 Mario Blättermann 2011-05-08 09:07:26 EDT
Any news about this?
Comment 11 Germán Racca 2011-05-20 23:06:55 EDT
(In reply to comment #10)
> Any news about this?

I'm waiting for a review.
Comment 12 Mario Blättermann 2011-05-22 13:48:58 EDT
Just tested it on F15. Works fine so far, there is a "jwm" entry in GDM, and jwm starts as expected. But one issue though:

There is no local config file initially. The global configuration in /etc/system.jwmrc contains the following line:

<Program icon="terminal.png" label="Terminal">xterm</Program>

Means, to run anything, we need at least a terminal, and xterm is not defined as a dependency. If I click on "Terminal" in the jwm menu, nothing happens. And there are no other useful entries which would work. In my mind, the xterm requirement should be added to the package, to get a basic way to start the installed applications. It doesn't eat up lots of disk space.

Koji scratch build for F15:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3086111
Comment 13 Mario Blättermann 2011-06-08 09:09:08 EDT
BTW, I'm missing a scriptlet for a proper *.desktop file installation, see http://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage.
Comment 14 Germán Racca 2011-06-28 14:13:39 EDT
(In reply to comment #13)
> BTW, I'm missing a scriptlet for a proper *.desktop file installation, see
> http://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage.

Hi Mario: please let me some time because I'm full of work :(
Comment 15 Mario Blättermann 2011-08-19 05:42:25 EDT
Such a scriptlet is not needed, because the currently included *.desktop file controls the JWM session only. It is not intended to be a launcher which people can use to start JWM from a menu.

That's why, there remains just one issue, to make xterm a runtime dependency for the convenience of users. The "JWM-Gnome" entry for the display manager would be fine to have, but is not a blocker.
Comment 16 Germán Racca 2011-08-19 10:59:16 EDT
OK, I'm going to work on this package this weekend and include the xterm as a requires. Thanks Mario :)
Comment 17 Germán Racca 2011-08-19 18:29:00 EDT
Hi Mario:

I have added xterm as a requires, and also I have changed the format of the Release tag: now I don't use snapshot, I only use revision, because I guess jwm is not updated nightly as the developer says in the homepage (revision 500 is there from long time ago). Please find updated files here:

SPEC: http://skytux.fedorapeople.org/packages/jwm.spec

SRPM: http://skytux.fedorapeople.org/packages/jwm-2.0.1-4.svn500.fc15.src.rpm

Cheers,
Germán.
Comment 18 Mario Blättermann 2011-08-20 03:50:50 EDT
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3288601

$ rpmlint -i -v *
jwm.i686: I: checking
jwm.i686: W: spelling-error %description -l en_US libXext -> extensible
The value of this tag appears to be misspelled. Please double-check.

jwm.i686: W: spelling-error %description -l en_US libXmu -> Librium
The value of this tag appears to be misspelled. Please double-check.

jwm.i686: W: spelling-error %description -l en_US libXinerama -> Cinerama
The value of this tag appears to be misspelled. Please double-check.

jwm.i686: W: spelling-error %description -l en_US libXpm -> Librium
The value of this tag appears to be misspelled. Please double-check.

jwm.i686: W: spelling-error %description -l en_US libjpeg -> libel
The value of this tag appears to be misspelled. Please double-check.

jwm.i686: W: spelling-error %description -l en_US libpng -> sibling
The value of this tag appears to be misspelled. Please double-check.

jwm.i686: W: spelling-error %description -l en_US libxft -> lift
The value of this tag appears to be misspelled. Please double-check.

jwm.i686: W: spelling-error %description -l en_US antialiased -> anti aliased, anti-aliased, initialized
The value of this tag appears to be misspelled. Please double-check.

jwm.i686: W: spelling-error %description -l en_US libfribidi -> libidinal
The value of this tag appears to be misspelled. Please double-check.

jwm.i686: I: checking-url http://joewing.net/programs/jwm (timeout 10 seconds)
jwm.i686: E: incorrect-fsf-address /usr/share/doc/jwm-2.0.1/LICENSE
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

jwm.src: I: checking
jwm.src: W: spelling-error %description -l en_US libXext -> extensible
The value of this tag appears to be misspelled. Please double-check.

jwm.src: W: spelling-error %description -l en_US libXmu -> Librium
The value of this tag appears to be misspelled. Please double-check.

jwm.src: W: spelling-error %description -l en_US libXinerama -> Cinerama
The value of this tag appears to be misspelled. Please double-check.

jwm.src: W: spelling-error %description -l en_US libXpm -> Librium
The value of this tag appears to be misspelled. Please double-check.

jwm.src: W: spelling-error %description -l en_US libjpeg -> libel
The value of this tag appears to be misspelled. Please double-check.

jwm.src: W: spelling-error %description -l en_US libpng -> sibling
The value of this tag appears to be misspelled. Please double-check.

jwm.src: W: spelling-error %description -l en_US libxft -> lift
The value of this tag appears to be misspelled. Please double-check.

jwm.src: W: spelling-error %description -l en_US antialiased -> anti aliased, anti-aliased, initialized
The value of this tag appears to be misspelled. Please double-check.

jwm.src: W: spelling-error %description -l en_US libfribidi -> libidinal
The value of this tag appears to be misspelled. Please double-check.

jwm.src: I: checking-url http://joewing.net/programs/jwm (timeout 10 seconds)
jwm.src: I: checking-url http://joewing.net/programs/jwm/snapshots/jwm-500.tar.bz2 (timeout 10 seconds)
jwm.x86_64: I: checking
jwm.x86_64: W: spelling-error %description -l en_US libXext -> extensible
The value of this tag appears to be misspelled. Please double-check.

jwm.x86_64: W: spelling-error %description -l en_US libXmu -> Librium
The value of this tag appears to be misspelled. Please double-check.

jwm.x86_64: W: spelling-error %description -l en_US libXinerama -> Cinerama
The value of this tag appears to be misspelled. Please double-check.

jwm.x86_64: W: spelling-error %description -l en_US libXpm -> Librium
The value of this tag appears to be misspelled. Please double-check.

jwm.x86_64: W: spelling-error %description -l en_US libjpeg -> libel
The value of this tag appears to be misspelled. Please double-check.

jwm.x86_64: W: spelling-error %description -l en_US libpng -> sibling
The value of this tag appears to be misspelled. Please double-check.

jwm.x86_64: W: spelling-error %description -l en_US libxft -> lift
The value of this tag appears to be misspelled. Please double-check.

jwm.x86_64: W: spelling-error %description -l en_US antialiased -> anti aliased, anti-aliased, initialized
The value of this tag appears to be misspelled. Please double-check.

jwm.x86_64: W: spelling-error %description -l en_US libfribidi -> libidinal
The value of this tag appears to be misspelled. Please double-check.

jwm.x86_64: I: checking-url http://joewing.net/programs/jwm (timeout 10 seconds)
jwm.x86_64: E: incorrect-fsf-address /usr/share/doc/jwm-2.0.1/LICENSE
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

jwm-debuginfo.i686: I: checking
jwm-debuginfo.i686: I: checking-url http://joewing.net/programs/jwm (timeout 10 seconds)
jwm-debuginfo.i686: E: empty-debuginfo-package
This debuginfo package contains no files.  This is often a sign of binaries
being unexpectedly stripped too early during the build, rpmbuild not being
able to strip the binaries, the package actually being a noarch one but
erratically packaged as arch dependent, or something else.  Verify what the
case is, and if there's no way to produce useful debuginfo out of it, disable
creation of the debuginfo package.

jwm-debuginfo.x86_64: I: checking
jwm-debuginfo.x86_64: I: checking-url http://joewing.net/programs/jwm (timeout 10 seconds)
jwm-debuginfo.x86_64: E: empty-debuginfo-package
This debuginfo package contains no files.  This is often a sign of binaries
being unexpectedly stripped too early during the build, rpmbuild not being
able to strip the binaries, the package actually being a noarch one but
erratically packaged as arch dependent, or something else.  Verify what the
case is, and if there's no way to produce useful debuginfo out of it, disable
creation of the debuginfo package.

jwm.spec: I: checking-url http://joewing.net/programs/jwm/snapshots/jwm-500.tar.bz2 (timeout 10 seconds)
5 packages and 1 specfiles checked; 4 errors, 27 warnings.


Some ignorable spelling errors, but also empty debug packages. Seems to be the right compiler flags haven't applied. To add CFLAGS='$RPM_OPT_FLAGS' or CFLAGS='%{optflags}' to the "make" call should solve the problem. I recommend the latter, because we shouldn't mix variables and macros.
Comment 19 Mario Blättermann 2011-08-20 03:53:32 EDT
Regarding the old FSF address, you don't have to change anything for the time being. But please inform the upstream developers about this issue, so that they can change it in the next release.
Comment 20 Germán Racca 2011-08-22 06:41:49 EDT
(In reply to comment #18)
......
> Some ignorable spelling errors, but also empty debug packages. Seems to be the
> right compiler flags haven't applied. To add CFLAGS='$RPM_OPT_FLAGS' or
> CFLAGS='%{optflags}' to the "make" call should solve the problem. I recommend
> the latter, because we shouldn't mix variables and macros.


Mario: I got the following errors while using cflags as you suggested.

+ make -j4 'CFLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic'
cd src ; make all
make[1]: Entering directory `/home/german/rpmbuild/BUILD/jwm-500/src'
gcc -c -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic background.c
gcc -c -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic border.c
gcc -c -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic button.c
gcc -c -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic client.c
In file included from jwm.h:92:0,
                 from client.c:10:
/usr/include/ft2build.h:56:38: fatal error: freetype/config/ftheader.h: No such file or directory
compilation terminated.
In file included from jwm.h:92:0,
                 from button.c:10:
/usr/include/ft2build.h:56:38: fatal error: freetype/config/ftheader.h: No such file or directory
compilation terminated.
In file included from jwm.h:92:0,
                 from background.c:10:
/usr/include/ft2build.h:56:38: fatal error: freetype/config/ftheader.h: No such file or directory
compilation terminated.
In file included from jwm.h:92:0,
                 from border.c:7:
/usr/include/ft2build.h:56:38: fatal error: freetype/config/ftheader.h: No such file or directory
compilation terminated.
make[1]: *** [client.o] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: *** [background.o] Error 1
make[1]: *** [button.o] Error 1
make[1]: *** [border.o] Error 1
make[1]: Leaving directory `/home/german/rpmbuild/BUILD/jwm-500/src'
make: *** [all] Error 2
error: Bad exit status from /home/german/rpmbuild/TMP/rpm-tmp.xXBN8v (%build)

Can you help me with that?
Comment 21 Germán Racca 2011-08-22 06:44:27 EDT
(In reply to comment #19)
> Regarding the old FSF address, you don't have to change anything for the time
> being. But please inform the upstream developers about this issue, so that they
> can change it in the next release.

OK, I will do that.
Comment 22 Mario Blättermann 2011-08-22 14:08:45 EDT
(In reply to comment #20)
[...]
> In file included from jwm.h:92:0,
>                  from client.c:10:
> /usr/include/ft2build.h:56:38: fatal error: freetype/config/ftheader.h: No such
> file or directory
> compilation terminated.

The package freetype-devel is obviously missing from BuildRequires.
Comment 23 Germán Racca 2011-08-22 15:02:05 EDT
(In reply to comment #22)
> (In reply to comment #20)
> [...]
> > In file included from jwm.h:92:0,
> >                  from client.c:10:
> > /usr/include/ft2build.h:56:38: fatal error: freetype/config/ftheader.h: No such
> > file or directory
> > compilation terminated.
> 
> The package freetype-devel is obviously missing from BuildRequires.

Done. I also replaced libjpeg-devel by libjpeg-turbo-devel in BR. But the errors are the same as above.
Comment 24 Mario Blättermann 2011-08-28 16:08:41 EDT
The current Makefile in src/ (created by configure script) says:

LDFLAGS =  -lX11 -lpng12   -ljpeg -lXft   -lXrender -lX11   -lfribidi   -lXpm -lXext -lXmu -lXinerama

We have to add -lfreetype in some way. Normally, this should be possible with a configure option, but --with-freetype doesn't work. Don't know what to do in this case.
Comment 25 Mario Blättermann 2011-08-28 16:21:26 EDT
Ah, just seen: The src/Makefile also says:

-I/usr/include/freetype2

That is, the Linker is looking for the wrong package. Perhaps changes could be applied by a sed command after configure is finished...? Don't know if it is usual to apply a patch after the configure run.
Comment 26 Martin Gieseking 2011-08-29 02:54:09 EDT
It's not necessary to explicitly set the %opflags. They are defined correctly by the %configure macro. The debug package is empty due to the call of "strip" in src/Makefile. It should be sufficient to remove it from src/Makefile.in with a patch.

The include path /usr/include/freetype2 is correct. Thus the compiler should be able to find it if freetype-devel has been installed.
Comment 27 Germán Racca 2011-08-30 17:16:58 EDT
(In reply to comment #26)
> It's not necessary to explicitly set the %opflags. They are defined correctly
> by the %configure macro. The debug package is empty due to the call of "strip"
> in src/Makefile. It should be sufficient to remove it from src/Makefile.in with
> a patch.
> 
> The include path /usr/include/freetype2 is correct. Thus the compiler should be
> able to find it if freetype-devel has been installed.

OK, I have removed optflags and applied a patch to remove the stripping of the binary, and that did the trick. Please find new files here:

SPEC: http://skytux.fedorapeople.org/packages/jwm.spec
SRPM: http://skytux.fedorapeople.org/packages/jwm-2.0.1-6.svn500.fc15.src.rpm

Koji builds from scratch:

dist-f15: http://koji.fedoraproject.org/koji/taskinfo?taskID=3313321
dist-rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=3313797
Comment 28 Mario Blättermann 2011-09-01 04:34:06 EDT
$ rpmlint -i -v *
jwm.i686: I: checking
jwm.i686: W: spelling-error %description -l en_US libXext -> extensible
The value of this tag appears to be misspelled. Please double-check.

jwm.i686: W: spelling-error %description -l en_US libXmu -> Librium
The value of this tag appears to be misspelled. Please double-check.

jwm.i686: W: spelling-error %description -l en_US libXinerama -> Cinerama
The value of this tag appears to be misspelled. Please double-check.

jwm.i686: W: spelling-error %description -l en_US libXpm -> Librium
The value of this tag appears to be misspelled. Please double-check.

jwm.i686: W: spelling-error %description -l en_US libjpeg -> libel
The value of this tag appears to be misspelled. Please double-check.

jwm.i686: W: spelling-error %description -l en_US libpng -> sibling
The value of this tag appears to be misspelled. Please double-check.

jwm.i686: W: spelling-error %description -l en_US libxft -> lift
The value of this tag appears to be misspelled. Please double-check.

jwm.i686: W: spelling-error %description -l en_US antialiased -> anti aliased, anti-aliased, initialized
The value of this tag appears to be misspelled. Please double-check.

jwm.i686: W: spelling-error %description -l en_US libfribidi -> libidinal
The value of this tag appears to be misspelled. Please double-check.

jwm.i686: I: checking-url http://joewing.net/programs/jwm (timeout 10 seconds)
jwm.i686: E: incorrect-fsf-address /usr/share/doc/jwm-2.0.1/LICENSE
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

jwm.src: I: checking
jwm.src: W: spelling-error %description -l en_US libXext -> extensible
The value of this tag appears to be misspelled. Please double-check.

jwm.src: W: spelling-error %description -l en_US libXmu -> Librium
The value of this tag appears to be misspelled. Please double-check.

jwm.src: W: spelling-error %description -l en_US libXinerama -> Cinerama
The value of this tag appears to be misspelled. Please double-check.

jwm.src: W: spelling-error %description -l en_US libXpm -> Librium
The value of this tag appears to be misspelled. Please double-check.

jwm.src: W: spelling-error %description -l en_US libjpeg -> libel
The value of this tag appears to be misspelled. Please double-check.

jwm.src: W: spelling-error %description -l en_US libpng -> sibling
The value of this tag appears to be misspelled. Please double-check.

jwm.src: W: spelling-error %description -l en_US libxft -> lift
The value of this tag appears to be misspelled. Please double-check.

jwm.src: W: spelling-error %description -l en_US antialiased -> anti aliased, anti-aliased, initialized
The value of this tag appears to be misspelled. Please double-check.

jwm.src: W: spelling-error %description -l en_US libfribidi -> libidinal
The value of this tag appears to be misspelled. Please double-check.

jwm.src: I: checking-url http://joewing.net/programs/jwm (timeout 10 seconds)
jwm.src: I: checking-url http://joewing.net/programs/jwm/snapshots/jwm-500.tar.bz2 (timeout 10 seconds)
jwm.x86_64: I: checking
jwm.x86_64: W: spelling-error %description -l en_US libXext -> extensible
The value of this tag appears to be misspelled. Please double-check.

jwm.x86_64: W: spelling-error %description -l en_US libXmu -> Librium
The value of this tag appears to be misspelled. Please double-check.

jwm.x86_64: W: spelling-error %description -l en_US libXinerama -> Cinerama
The value of this tag appears to be misspelled. Please double-check.

jwm.x86_64: W: spelling-error %description -l en_US libXpm -> Librium
The value of this tag appears to be misspelled. Please double-check.

jwm.x86_64: W: spelling-error %description -l en_US libjpeg -> libel
The value of this tag appears to be misspelled. Please double-check.

jwm.x86_64: W: spelling-error %description -l en_US libpng -> sibling
The value of this tag appears to be misspelled. Please double-check.

jwm.x86_64: W: spelling-error %description -l en_US libxft -> lift
The value of this tag appears to be misspelled. Please double-check.

jwm.x86_64: W: spelling-error %description -l en_US antialiased -> anti aliased, anti-aliased, initialized
The value of this tag appears to be misspelled. Please double-check.

jwm.x86_64: W: spelling-error %description -l en_US libfribidi -> libidinal
The value of this tag appears to be misspelled. Please double-check.

jwm.x86_64: I: checking-url http://joewing.net/programs/jwm (timeout 10 seconds)
jwm.x86_64: E: incorrect-fsf-address /usr/share/doc/jwm-2.0.1/LICENSE
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

jwm-debuginfo.i686: I: checking
jwm-debuginfo.i686: I: checking-url http://joewing.net/programs/jwm (timeout 10 seconds)
jwm-debuginfo.x86_64: I: checking
jwm-debuginfo.x86_64: I: checking-url http://joewing.net/programs/jwm (timeout 10 seconds)
jwm.spec: I: checking-url http://joewing.net/programs/jwm/snapshots/jwm-500.tar.bz2 (timeout 10 seconds)
5 packages and 1 specfiles checked; 2 errors, 27 warnings.

Spellchecker warnings could be ignored. For the incorrect FSF address, you should ping the upstream developers, if that hasn't already been done.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPLv2+
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    e046d1720c8f9fcbffd58cb6c4b0dbad  jwm-500.tar.bz2
    e046d1720c8f9fcbffd58cb6c4b0dbad  jwm-500.tar.bz2.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates.
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    Works fine for me (f15, i686)
[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[+] SHOULD: Your package should contain man pages for binaries/scripts.

----------------

PACKAGE APPROVED

----------------


If you don't want to provide your package for EPEL < 6, then you might drop the BuildRoot line, the %clean section, and %defattr.
Comment 29 Germán Racca 2011-09-01 15:02:27 EDT
(In reply to comment #28)

> Spellchecker warnings could be ignored. For the incorrect FSF address, you
> should ping the upstream developers, if that hasn't already been done.

Yes, I've already done it.
 
> ----------------
> 
> PACKAGE APPROVED
> 
> ----------------

Thank you very much for your review!
 
> If you don't want to provide your package for EPEL < 6, then you might drop the
> BuildRoot line, the %clean section, and %defattr.

Well, I don't know if in the future I'll compile for EPEL, so I'll leave the spec file unchanged.
Comment 30 Germán Racca 2011-09-02 11:09:27 EDT
New Package SCM Request
=======================
Package Name: jwm
Short Description: Joe's Window Manager
Owners: skytux
Branches: f14 f15 f16
InitialCC:
Comment 31 Gwyn Ciesla 2011-09-02 11:47:52 EDT
Git done (by process-git-requests).
Comment 32 Fedora Update System 2011-09-02 13:07:05 EDT
jwm-2.0.1-6.svn500.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/jwm-2.0.1-6.svn500.fc14
Comment 33 Fedora Update System 2011-09-02 13:16:48 EDT
jwm-2.0.1-6.svn500.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/jwm-2.0.1-6.svn500.fc15
Comment 34 Fedora Update System 2011-09-02 13:29:40 EDT
jwm-2.0.1-6.svn500.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/jwm-2.0.1-6.svn500.fc16
Comment 35 Fedora Update System 2011-09-24 23:43:28 EDT
jwm-2.0.1-6.svn500.fc14 has been pushed to the Fedora 14 stable repository.
Comment 36 Fedora Update System 2011-09-24 23:52:30 EDT
jwm-2.0.1-6.svn500.fc15 has been pushed to the Fedora 15 stable repository.
Comment 37 Fedora Update System 2011-09-30 14:31:56 EDT
jwm-2.0.1-6.svn500.fc16 has been pushed to the Fedora 16 stable repository.
Comment 38 Germán Racca 2012-02-22 11:25:56 EST
Package Change Request
======================
Package Name: jwm
New Branches: el6
Owners: splinux skytux

I'm authorizing the user splinux to co-maintain this epel branch for jwm.
Comment 39 Gwyn Ciesla 2012-02-22 11:39:15 EST
Git done (by process-git-requests).
Comment 40 Fedora Update System 2012-02-22 14:10:39 EST
jwm-2.0.1-9.svn500.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/jwm-2.0.1-9.svn500.el6
Comment 41 Fedora Update System 2012-02-24 17:01:09 EST
jwm-2.0.1-9.svn500.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/jwm-2.0.1-9.svn500.el6
Comment 42 Fedora Update System 2012-02-24 17:13:36 EST
jwm-2.0.1-10.svn500.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/jwm-2.0.1-10.svn500.el6
Comment 43 Fedora Update System 2012-03-11 14:52:17 EDT
jwm-2.0.1-10.svn500.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.